Subject: Re: bug#25328: gpg: "Operation cancelled" with pinentry 1.0.0 on GNOME

From: Chris Marusich <[email-masked]>
Date: Sat, 21 Jan 2017 02:38:28 -0800

[email-masked] (Ludovic Courtès) writes:

> Could you report these steps upstream?  That does not seem to be
> Guix-specific, though I suppose other distros probably install
> pinentry-gnome3 automatically when you install GNOME, such that the
> problem doesn’t show up.

I've sent an email to [email-masked] asking for help.  I'll
update this bug report when I have more to report.

> The “hack” I was referring to is probably just pinentry-gnome3.

I see.

>> This bug is no longer blocking me, since I can use pinentry-gnome3, but
>> I'm still concerned about the fact that pinentry-gtk-2 fails very
>> frequently, even though it didn't on the previous version.
>
> It seems like bad interaction between pinentry-gtk2 and GNOME.
>
> On this topic, I found
> <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=791379>.  Strangely,
> that bug discusses the opposite problem.  :-)

Weird.  I'm not sure how to approach bugs like this.  I could strace in
the dark and hope to see something that shows me the light, but
hopefully the gnupg email list will know better how to troubleshoot it.

-- 
Chris